Innkeep = LibStub("AceAddon-3.0"):NewAddon("Innkeep")

-- ----------------------------------------------
-- Innkeep Console
-- ----------------------------------------------
InnkeepConsole = LibStub("AceConsole-3.0")

function InnkeepConsole:Debug(value)
  self:Print(JSON.encode(value));
end

function InnkeepConsole:Attendance(value)
  local data = InnkeepExport:Create('attendance', InnkeepRaid:GetAttendance())
  InnkeepGUI:ShowExport(data)
end

function InnkeepConsole:Professions()
  local record = InnkeepProfessions:GetOpenProfessionInfo()
  if not record then
    self:Print("No Profession is open")
    return
  end
  local data = InnkeepExport:Create('professions', { record })
  InnkeepGUI:ShowExport(data)
end

function InnkeepConsole:CLI()
  self:Professions()
  -- self:Attendance();
end

InnkeepConsole:RegisterChatCommand("innkeep", 'CLI')
InnkeepConsole:RegisterChatCommand("ik", 'CLI')
