-- --------------------------------------------------
-- Innkeep Raid
-- --------------------------------------------------
InnkeepRaid = {}

function InnkeepRaid:GetAttendance()
  return {
    timestamp = InnkeepHelpers:Timestamp(),
    members = self:GetGroupMembers(),
  }
end

function InnkeepRaid:GetGroupMembers()
  if not IsInGroup() then
    return { GetUnitName("player") }
  end

  local members = {};
  for i=1, MAX_RAID_MEMBERS do
    local name = GetRaidRosterInfo(i)
    if name then
      members[i] = name
    end
  end
  return members
end
